math.randomseed( os.time() )
math.random();  math.random();  math.random();	--first few numbers aren't really random :O


function RandInt( low, high )
	retval = low + math.floor( math.random() * ( high - low + .999 ) )
	return retval
end

function Rand( low, high )
	retval = low + ( math.random() * ( high - low ) )
	return retval
end


function int( a )
	return math.floor( a )
end

bx_KeyFwd = 0
bx_KeyBack = 1
bx_KeyLeft = 2
bx_KeyRight = 3
bx_KeyJump = 4
bx_KeyDuck = 5
bx_KeyFire0 = 6
bx_KeyFire1 = 7
bx_KeyFire2 = 8
bx_KeyFire3 = 9
bx_KeyFire4 = 10
bx_KeyScrollUp = 11
bx_KeyScrollDown = 12
bx_KeyBind0 = 13
bx_KeyBind1 = 14
bx_KeyBind2 = 15
bx_KeyBind3 = 16
bx_KeyBind4 = 17
bx_KeyBind5 = 18
bx_KeyBind6 = 19
bx_KeyBind7 = 20
bx_KeyBind8 = 21
bx_KeyBind9 = 22
bx_KeyBind10 = 23
bx_KeyBind11 = 24
bx_KeyBind12 = 25
bx_KeyBind13 = 26
bx_KeyBind14 = 27
bx_KeyBind15 = 28
bx_KeyBind16 = 29
bx_KeyBind17 = 30
bx_KeyBind18 = 31
bx_KeyBind19 = 32
